!!! The ebuild selected to satisfy „>=media-libs/clutter-1.20:1.0=[X=,introspection?]“ has unmet requirements.

Beim Versuch nautilus zu kompilieren erhielt ich eine Fehlermeldung.  Auszug: !!! The ebuild selected to satisfy „>=media-libs/clutter-1.20:1.0=[X=,introspection?]“ has unmet requirements.
Die Veränderung der USE-Flags brachte keine Lösung. Durch setzen eines Profils mit Desktop und env-update && sources /etc/profile wurde das Problem gelöst.

 

localhost /home/michi # emerge -av nautilus

* IMPORTANT: 16 news items need reading for repository 'gentoo'.
* Use eselect news read to view new items.

These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/libxml2:2

(dev-libs/libxml2-2.9.8:2/2::gentoo, installed) pulled in by
(no parents that aren't satisfied by other packages in this slot)

(dev-libs/libxml2-2.9.8:2/2::gentoo, ebuild scheduled for merge) pulled in by
dev-libs/libxml2[python,python_targets_python2_7(-)?,-python_single_target_jython2_7(-),-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_single_target_python2_7(+)] required by (dev-util/itstool-2.0.2:0/0::gentoo, ebuild scheduled for merge)
^^^^^^

media-libs/harfbuzz:0

(media-libs/harfbuzz-2.0.2:0/0.9.18::gentoo, installed) pulled in by
(no parents that aren't satisfied by other packages in this slot)

(media-libs/harfbuzz-2.0.2:0/0.9.18::gentoo, ebuild scheduled for merge) pulled in by
>=media-libs/harfbuzz-1.3.3:=[icu(+)] required by (net-libs/webkit-gtk-2.22.2:4/37::gentoo, ebuild scheduled for merge)

!!! Enabling --newuse and --update might solve this conflict.
!!! If not, it might help emerge to give a more specific suggestion.
localhost /home/michi # eselect profile list | more
Available profile symlink targets:
[1] default/linux/amd64/13.0 (stable)
[2] default/linux/amd64/13.0/selinux (dev)
[3] default/linux/amd64/13.0/desktop (stable)
[4] default/linux/amd64/13.0/desktop/gnome (stable)
[5] default/linux/amd64/13.0/desktop/gnome/systemd (stable)
[6] default/linux/amd64/13.0/desktop/plasma (stable)
[7] default/linux/amd64/13.0/desktop/plasma/systemd (stable)
[8] default/linux/amd64/13.0/developer (stable)
[9] default/linux/amd64/13.0/no-multilib (stable)
[10] default/linux/amd64/13.0/systemd (stable)
[11] default/linux/amd64/13.0/x32 (dev)
[12] default/linux/amd64/17.0 (stable) *
[13] default/linux/amd64/17.0/selinux (stable)
[14] default/linux/amd64/17.0/hardened (stable)
[15] default/linux/amd64/17.0/hardened/selinux (stable)
[16] default/linux/amd64/17.0/desktop (stable)
[17] default/linux/amd64/17.0/desktop/gnome (stable)
[18] default/linux/amd64/17.0/desktop/gnome/systemd (stable)
[19] default/linux/amd64/17.0/desktop/plasma (stable)
[20] default/linux/amd64/17.0/desktop/plasma/systemd (stable)
[21] default/linux/amd64/17.0/developer (stable)
[22] default/linux/amd64/17.0/no-multilib (stable)
localhost /home/michi # eselect profile set 3
localhost /home/michi # env-update && source /etc/profile
>>> Regenerating /etc/ld.so.cache...
%d Bloggern gefällt das: